/* ============================= */
/* Panchang Font Family          */
/* ============================= */

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Extralight.otf') format('opentype');
    font-weight: 200;
}

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Light.otf') format('opentype');
    font-weight: 300;
}

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Regular.otf') format('opentype');
    font-weight: 400;
}

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Medium.otf') format('opentype');
    font-weight: 500;
}

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Semibold.otf') format('opentype');
    font-weight: 600;
}

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Bold.otf') format('opentype');
    font-weight: 700;
}

@font-face {
    font-family: 'Panchang';
    src: url('/assets/fonts/Panchang-Extrabold.otf') format('opentype');
    font-weight: 800;
}

/* ============================= */
/* Satoshi Font Family (OTF)     */
/* ============================= */

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-Light.otf') format('opentype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-LightItalic.otf') format('opentype');
    font-weight: 300;
    font-style: italic;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-Regular.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-Italic.otf') format('opentype');
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-Medium.otf') format('opentype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-Bold.otf') format('opentype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-BoldItalic.otf') format('opentype');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-Black.otf') format('opentype');
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: 'Satoshi';
    src: url('/assets/fonts/Satoshi-BlackItalic.otf') format('opentype');
    font-weight: 900;
    font-style: italic;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Satoshi', sans-serif;
    font-weight: 400;
    background-color: var(--white);
    color: var(--black);
}


:root {
    --accent-100: #ff2f2fFF;
    --accent-50: hsla(0, 100%, 59%, 0.5);
    ;
    --black-100: #020022;
    --black-50: hsl(244, 100%, 7%, 0.5);
    --white: #f7fdff;
    --nav-size: 3rem;

    --content-width: min(1440px, 90%);
}

header {
    width: var(--content-width);
    margin: 0 auto;
    padding: 6rem 0 1rem 0;
}

h1 {
    font-family: 'Panchang', sans-serif;
    font-weight: 700;
    font-size: 2.5rem;
    color: var(--accent-100);
}

h2 {
    font-family: 'Panchang', sans-serif;
    font-weight: 700;
    font-size: 1.7rem;
    color: var(--accent-50);
    margin-top: 2rem;
}

h5,
label {
    font-family: 'Satoshi', sans-serif;
    font-weight: 600;
    font-size: .8rem;
    color: var(--accent-100);
}

h4 {
    font-family: 'Satoshi', sans-serif;
    font-weight: 700;
    font-size: 1.5rem;
    color: var(--black-100);
    margin-top: .7rem;
}

p,
select,
input,
button {
    font-family: 'Satoshi', sans-serif;
    font-weight: 400;
    font-size: 1rem;
    color: var(--black-100);
}

select,
input {
    color: var(--black-100);
    border: none;
    background: none;
}

select:focus,
input:focus {
    border: none;
    outline: none;
}

select:hover {
    cursor: pointer;
}

button {
    background-color: var(--accent-100);
    border: none;
    color: var(--white);
    cursor: pointer;
}

a {
    text-decoration: none;
    color: inherit;
}

span {
    font-weight: 600;
}
.content-width {
    width: var(--content-width);
    margin: 0 auto;
    padding: 6rem 0 1rem 0;
}

/* ============================= */
/* Grid Layout     
/* ============================= */
.grid-layout>* {
    width: var(--content-width);
    margin: 0 auto;
}

.grid-layout:nth-child(2n-1) {
    border-bottom: 2px var(--black-100) solid;
    /* padding: .5rem 0 0 0; */
}

.grid-layout>div {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: .3rem 0;
}

.grid-2>div {
    grid-template-columns: repeat(2, 1fr);
}

.grid-3>div {
    grid-template-columns: 2fr 2fr 4fr;
}

.grid-4>div {
    grid-template-columns: 2fr 2fr 2fr 2fr;
}

.grid-5>div {
    grid-template-columns: 2fr 2fr 2fr 1fr 1fr;
}

.grid-span {
    grid-column: 1 / -1;
}

.grid-layout>div>* {
    margin-right: 2rem;
    max-width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}


/* ============================= */
/* Vacation Count
/* ============================= */

nav {
    display: flex;
    margin: 3rem 0;
    column-gap: 4rem;
    row-gap: 1rem;
    flex-wrap: wrap;
}

nav h4 {
    margin: 0;
}

.nav-element {
    position: relative;
    display: flex;
    height: var(--nav-size);
    align-items: center;
}

.nav-element * {
    color: var(--white);
}

.nav-label {
    background-color: #ff2f2f;
    height: var(--nav-size);
    padding: 0 4rem 0 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.flex-layout {
    display: flex;
    gap: 2rem;
}

.nav-item {
    display: flex;
    align-items: center;
    justify-content: center;
    height: var(--nav-size);
    width: var(--nav-size);
    aspect-ratio: 1 / 1;
    background-color: var(--accent-100);
    transform: rotate(45deg);
    outline: 4px var(--white) solid;
    position: absolute;
    right: calc(var(--nav-size) / 1.41421356 / -2);
}

.nav-item>* {
    transform: rotate(-45deg);
    font-size: 1.2rem;
}

.addIcon {
    width: var(--nav-size);
    aspect-ratio: 1 / 1;
    background-color: var(--accent-100);
    display: flex;
    align-items: center;
    justify-content: center;
}

.addIcon h4 {
    color: var(--white);
}



footer {
    background-color: var(--accent-100);
    padding: 2rem 0 3rem 0;
    margin: 4rem 0 0 0;
}

footer * {
    color: var(--white);
    width: var(--content-width);
    margin: 0 auto;
}

/* ============================= */
/* Filter Section              */
/* ============================= */

.filter {
    margin-bottom: 2rem;
}

/* ============================= */
/* Modal Overlay & Modal Box   */
/* ============================= */

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--black-50);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

.modal {
    width: var(--content-width);
    background-color: var(--white);
    padding: 3rem !important;
}

.modal-actions {
    margin-top: 2rem;
}

.button-layout>button:last-child {
    background-color: var(--white);
    color: var(--accent-100);
    border: 3px var(--accent-100) solid;
}

.button-layout button {
    padding: 1.5rem;

}


/* ============================= */
/* Hover Effects                */
/* ============================= */
button:hover {
    opacity: 0.5;
}

.nav-element:not(.nav-element:first-child):hover {
    cursor: pointer;
    opacity: 0.5;
}

.grid-hover {
    height: 5rem;
    padding: 1rem 0 0 0;

    transition-timing-function: ease-out;
    transition-duration: 300ms;
}

.grid-hover:hover {
    cursor: pointer;
    /* padding: 1rem 0 0 0; */

    transition-timing-function: ease-in-out;
    transition-duration: 150ms;
}

.grid-hover>div {
    display: none;
    opacity: 0;

    transition-timing-function: ease-out;
    transition-duration: 300ms;
}

.grid-hover:hover>div {
    display: grid;
    opacity: .5;

    transition-timing-function: ease-in-out;
    transition-duration: 150ms;
}

.expanded {
    display: grid !important;
    opacity: 1 !important;
}

/* ============================= */
/* Responsive Design            */
/* ============================= */
@media (max-width: 768px) {
    h1 {
        font-size: 1.7rem;
    }

    h2 {
        font-size: 1.4rem;
    }

    h4 {
        font-size: 1.2rem;
    }

    h5,
    label {
        font-size: .7rem;
    }

    p {
        font-size: .9rem;
    }

    .grid-layout>div>* {
        margin: 0;
    }

    .grid-3 > div {
        grid-template-columns: 1fr 1fr 1fr;
    }
    .grid-hover {
        height: 4.1rem;
    }

}